Closing Updater Settings dialog leads to checking for updates
2014-07-02 02:36 - danij

Status: Closed Start date: 2014-07-02
Priority: Low % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.15

Description

Whenever the close button is clicked in the Updater Settings dialog an update check is executed each time. Simply closing the dialog
after changing no settings should not lead to an update check the user did not request.

Associated revisions

Revision 6ab3341d - 2014-11-16 19:32 - skyjake
Fixed|Ul|Updater: Don't recheck if settings weren't changed

In the update notification dialog, if one opens the Updater settings
and closes it without changing anything, a recheck of available
updates is unnecessary.

IssuelD #1831

History

#1 - 2014-07-02 06:32 - skyjake
- Assignee set to skyjake

- Target version set to 1.15

#2 - 2014-11-16 19:30 - skyjake

- Category changed from Regression to Defect
- Status changed from New to Closed

- Priority changed from Normal to Low

- % Done changed from 0 to 100

#3 - 2014-11-16 19:54 - danij

- Status changed from Closed to In Progress

#4 - 2014-11-16 19:54 - danij

This isn't fully fixed yet. See my comments on the relevant commit.

#5 - 2015-01-06 15:07 - skyjake

- Subject changed from Closing Updater Settings dialog leads to checking for updates to Updater JSON parsing error / closing Updater Settings dialog
leads to checking for updates

- Priority changed from Low to Normal

#6 - 2015-01-06 15:15 - skyjake

- Subject changed from Updater JSON parsing error / closing Updater Settings dialog leads to checking for updates to Closing Updater Settings dialog
leads to checking for updates

- Priority changed from Normal to Low

#7 - 2015-01-07 12:57 - skyjake

danij wrote:

Once settings are changed once, they will forever be "changed" and cause an Update check each time the settings dialog is closed.
Many dialogs, including Updater Settings, are dynamically created when opened and deleted when closed, so keeping the "changed" flag until
destruction of the dialog is not a problem.

if changing the updater settings via the gear button that appears following an update check; another update check will fire except this time, I'm
unable to get out of the dialog until the update completes (which it never does) unless | cancel it.
I've never been able to reproduce this behavior. Does this happen with regularity?

| also get an alert about malformed JSON data when checking for an update using the Check Now... button in Updater Settings:

Fixed by #1937.

#8 - 2015-02-06 10:42 - skyjake

- Status changed from In Progress to Feedback

#9 - 2015-02-06 10:43 - skyjake

- Assignee changed from skyjake to danij

#10 - 2015-02-06 11:48 - danij
skyjake wrote:
danij wrote:
if changing the updater settings via the gear button that appears following an update check; another update check will fire except this time,
I'm unable to get out of the dialog until the update completes (which it never does) unless | cancel it.

I've never been able to reproduce this behavior. Does this happen with regularity?

Since your earlier fix I've been unable to replicate this behavior since. Seems fixed to me.

#11 - 2015-02-06 11:48 - danij

- Status changed from Feedback to Resolved

#12 - 2015-02-06 12:48 - skyjake
- Status changed from Resolved to Closed

- Assignee changed from danij to skyjake
